#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "DBDTunableRowHandle.h"
#include "DeployPortableSnowmanInteraction.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class WINTEREVENT2024_API UDeployPortableSnowmanInteraction : public UInteractionDefinition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _cooldownDuration;

public:
	UDeployPortableSnowmanInteraction();
};

FORCEINLINE uint32 GetTypeHash(const UDeployPortableSnowmanInteraction) { return 0; }
